#!/usr/bin/perl

#####################################################
#
# Program: BLAST against MetaPhyler reference DB
#          
#
# Contact: Bo Liu, boliu@umiacs.umd.edu
#
# Last Update: Mon Mar 14 15:14:49 EDT 2011
#
#####################################################

use strict;
use warnings;


#---------------------------------------------------#
# read command line parameters
#---------------------------------------------------#
my $fnafile = "";
if (scalar @ARGV == 1) {
    $fnafile = $ARGV[0];
} else {
    Usage();
}
#---------------------------------------------------#

my $cmd = "blastall -p blastn -F F -m 8 -i $fnafile -d ./data/blastdb/markers.fna -e 0.00001 -b 20";
system($cmd);

exit;


sub Usage {
    die("

USAGE:
       ./blastref.pl <input fasta file>

EXAMPLE:
       ./blastref.pl ./test/test.fna

");
}
